# abstract SharedObjectFlushStatus(Null<Int>)

#### package openfl.net

####

Available on all platforms

The SharedObjectFlushStatus class provides values for the code returned from a call to the `SharedObject.flush()` method.

### Variables

###

`inline read onlyFLUSHED:SharedObjectFlushStatus = 0`

Indicates that the flush completed successfully.

###

`inline read onlyPENDING:SharedObjectFlushStatus = 1`

Indicates that the user is being prompted to increase disk space for the shared object before the flush can occur.